Plugin Download

You can download the plugin from here,

You need Joomla! 2.5 to see this plugin working

 Logo

Click Here to get the Joomla! OpenStreetMaps plugin version 1.0